choqok crashed with SIGSEGV in QCA::init()

Bug #1667903 reported by Balaam's Miracle on 2017-02-25
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
choqok (Ubuntu)
Medium
Unassigned

Bug Description

Choqok segfaults upon startup on Kubuntu 17.04

ProblemType: Crash
DistroRelease: Ubuntu 17.04
Package: choqok 1.6-1ubuntu1
ProcVersionSignature: Ubuntu 4.10.0-8.10-generic 4.10.0-rc8
Uname: Linux 4.10.0-8-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.4-0ubuntu2
Architecture: amd64
CrashCounter: 1
CurrentDesktop: KDE
Date: Fri Feb 24 23:54:47 2017
ExecutablePath: /usr/bin/choqok
InstallationDate: Installed on 2016-12-17 (70 days ago)
InstallationMedia: Kubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.1)
ProcCmdline: /usr/bin/choqok -qwindowtitle Choqok
ProcEnviron:
 PATH=(custom, user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7feb55fb4b37 <_ZN3QCA4initENS_10MemoryModeEi+39>: testb $0x1,0x4(%rdx)
 PC (0x7feb55fb4b37) ok
 source "$0x1" ok
 destination "0x4(%rdx)" (0x00000004) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: choqok
StacktraceTop:
 QCA::init(QCA::MemoryMode, int) () from /usr/lib/x86_64-linux-gnu/libqca.so.2
 QOAuth::InterfacePrivate::InterfacePrivate() () from /usr/lib/libqoauth.so.1
 QOAuth::Interface::Interface(QNetworkAccessManager*, QObject*) () from /usr/lib/libqoauth.so.1
 TwitterApiAccount::initQOAuthInterface() () from /usr/lib/x86_64-linux-gnu/libtwitterapihelper.so.1
 TwitterApiAccount::TwitterApiAccount(TwitterApiMicroBlog*, QString const&) () from /usr/lib/x86_64-linux-gnu/libtwitterapihelper.so.1
Title: choqok crashed with SIGSEGV in QCA::init()
UpgradeStatus: Upgraded to zesty on 2017-02-25 (0 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
XsessionErrors:
 (opera:10496): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
 (opera:10496): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

information type: Private → Public

StacktraceTop:
 QCA::init(QCA::MemoryMode, int) () from /tmp/apport_sandbox_FlwcpZ/usr/lib/x86_64-linux-gnu/libqca.so.2
 QOAuth::InterfacePrivate::InterfacePrivate (this=0x55c0bc1531e0) at interface.cpp:222
 QOAuth::Interface::Interface (this=0x55c0bc0ee030, manager=0x55c0bc0e6470, parent=<optimized out>) at interface.cpp:423
 TwitterApiAccount::initQOAuthInterface (this=this@entry=0x55c0bc0eb7a0) at ./helperlibs/twitterapihelper/twitterapiaccount.cpp:302
 TwitterApiAccount::TwitterApiAccount (this=0x55c0bc0eb7a0, parent=0x55c0bc14a3a0, alias=...) at ./helperlibs/twitterapihelper/twitterapiaccount.cpp:79

Changed in choqok (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Rik Mills (rikmills) wrote :

http://choqok.gnufolks.org/2016/08/choqok-1-6-beta-2-released/

"Note that qoauth-qt5 is required! Choqok cannot run with qoauth-qt4 anymore."

Looks like this version 1.6 was merged from debian experimental where the required Qt5 v2 based qoauth version exists, to zesty where it does not.

The debian build dependencies were deliberately set to

https://anonscm.debian.org/git/collab-maint/choqok.git/commit/?id=565331bac22678c15c5ea52c3f5526462bb9b52c

* Build depend upon qoauth >= 2.0.1~1 to ensure we are using the Qt5-based
+ version.

but seem to have been mistakenly relaxed/overridden on the merge to ubuntu zesty.

* Use unversioned oauth as of now as the debian version isnt into
    ubuntu as yet.

Hence this inevitably broken.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in choqok (Ubuntu):
status: New → Confirmed
clickwir (clickwir) wrote :
Download full text (3.8 KiB)

Yup, it's broke.

$ choqok
org.kde.choqok: Choqok 1.6.0
org.kde.choqok:
org.kde.choqok:
org.kde.choqok:
org.kde.choqok:
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib: ("Account_Twitter")
org.kde.choqok.lib: "Account_Twitter"
org.kde.choqok.lib: Loading Plugin: "choqok_twitter"
org.kde.choqok.lib:
org.kde.choqok.twitterapi:
org.kde.choqok.twitter:
org.kde.choqok.lib: Successfully loaded plugin ' "choqok_twitter" '
org.kde.choqok.lib: Finding: "Twitter"
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib: Wallet successfully opened.
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.lib:
org.kde.choqok.twitterapi:
org.kde.choqok.lib:
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.lib:
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.twitterapi: UsingOAuth: true
org.kde.choqok.twitterapi:
Segmentation fault (core dumped)

syslog:
Apr 3 20:59:09 host kernel: [157712.663466] show_signal_msg: 66 callbacks suppressed
Apr 3 20:59:09 host kernel: [157712.663469] choqok[27206]: segfault at 4 ip 00007efe103deb37 sp 00007fff206de370 error 4 in libqca.so.2.1.1[7efe1038b000+f0000]
Apr 3 20:59:45 host whoopsie[1237]: [20:59:45] Not online; processing later (/var/crash/_usr_bin_choqok.1000.crash).
Apr 3 20:59:45 host kernel: [157748.986394] choqok[28306]: segfault at 4 ip 00007f8bae2aeb37 sp 00007ffd3613af50 error 4 in libqca.so.2.1.1[7f8bae25b000+f0000]
Apr 3 21:00:00 host kernel: [157764.254790] choqok[28324]: segfault at 4 ip 00007f0e99ad6b37 sp 00007ffc0a844b30 error 4 in libqca.so.2.1.1[7f0e99a83000+f0000]

Kubuntu 17.04

$ sudo apt show choqok
Package: choqok
Version: 1.6-1ubuntu1
Priority: optional
Section: universe/kde
Origin: Ubuntu
Maintainer: Kubuntu Developers <email address hidden>
Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 7,637 kB
Depends: libqca2-plugin-ossl, kio, libc6 (>= 2.14), libkf5attica5 (>= 4.98.0), libkf5configcore5 (>= 4.98.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 4.96.0), libkf5coreaddons5 (>= 5.2.0), libkf5emoticons-bin, libkf5emoticons5 (>= 4.96.0), libkf5globalaccel5 (>= 5.0.0), libkf5guiaddons5 (>= 4.96.0), libkf5i18n5 (>= 4.97.0), libkf5jobwidgets5 (>= 4.96.0), libkf5kcmutils5 (>= 4.96.0), libkf5kiocore5 (>= 4.96.0), libkf5kiofilewidgets5 (>= 4.96.0), libkf5kiowidgets5 (>= 4.96.0), libkf5notifications5 (>= 4.96.0), libkf5notifyconfig5 (>= 4.96.0), libkf5parts5 (>= 4.96.0), libkf5service-bin, libkf5service5 (>= 4.99.0), libkf5sonnetcore5 (>= 4.96.0), libkf5textwidgets5 (>= 4.96.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5webkit5 (>= 4.96.0), libkf5widgetsaddons5 (>= 4.96.0), libkf5xmlgui5 (>= 4.98.0), libqca-qt5-2 (>= 2.0.2), libqoauth1, libqt5core5a (>= 5.6.1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.2.0) | libqt5gui5-gles (>= 5.2.0), libqt5webkit5 (>= 5.6.0~rc), libqt5widgets5 (>= 5.2.0), libqt5xml5 (>= 5.0.2), libstdc++6 (>= 4.1.1), libtelepathy-qt5-0 (>= 0.0.9.5)
Homepage: http://choqok.gnufolks.org
Download-Size: 1,727 kB
APT-Manual-Installed: yes
APT-Sources: http://mirrors.us.kernel....

Read more...

It's really broken since qoauth version is still 1.0.1-2ubuntu4 that uses qt4.

I have build a qt5 version on my ppa(https://launchpad.net/~adilson/+archive/ubuntu/experimental ). It's working fine with choqok 1.6 under yakkety for months.

Feel free to copy, review, test and publish this qtoauth since it's free software.

Another option is fetch the Debian experimental version: https://packages.debian.org/experimental/libqoauth2

On 04/04/17 10:54, Adilson dos Santos Dantas wrote:
> It's really broken since qoauth version is still 1.0.1-2ubuntu4 that
> uses qt4.
>
> I have build a qt5 version on my
> ppa(https://launchpad.net/~adilson/+archive/ubuntu/experimental ). It's
> working fine with choqok 1.6 under yakkety for months.
>
> Feel free to copy, review, test and publish this qtoauth since it's free
> software.
>
> Another option is fetch the Debian experimental version:
> https://packages.debian.org/experimental/libqoauth2
>

Several other packages still depend on the Qt4 libqoauth1. Upgrading
would break those, so any upgrade would not make it into the archive as
things stand. That is a large part of why the debian libqauth2 is in
'experimental', and not even in 'unstable/sid' there yet.

Rik Mills (rikmills) wrote :

Uploader of the last version (1.6) has said they will take a look. Transition to libqoath2 in Zesty is likely a no-go, so reverting to a prior Qt4 1.5 version may be the way to fix for this release. Not ideal, but better than completely broken as we are now.

Bhavani Shankar (bhavi) wrote :

I'll revert the merge to the yakkety one 1.5-4 and upload to zesty shortly and keep a note of the same in the changelog not to upgrade the package until transition is complete.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package choqok - 1.6-1.isreally.1.5-4ubuntu1

---------------
choqok (1.6-1.isreally.1.5-4ubuntu1) zesty; urgency=medium

  * Revert previous merge and keep this package on hold for further
    merging until libqouath transition is fully complete. Hopefully fix
    LP: #1667903.

 -- Bhavani Shankar <email address hidden> Wed, 05 Apr 2017 12:21:41 +0530

Changed in choqok (Ubuntu):
status: Confirmed → Fix Released
clickwir (clickwir) wrote :
Download full text (3.8 KiB)

Yup, it's broke.

$ choqok
org.kde.choqok: Choqok 1.6.0
org.kde.choqok:
org.kde.choqok:
org.kde.choqok:
org.kde.choqok:
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib: ("Account_Twitter")
org.kde.choqok.lib: "Account_Twitter"
org.kde.choqok.lib: Loading Plugin: "choqok_twitter"
org.kde.choqok.lib:
org.kde.choqok.twitterapi:
org.kde.choqok.twitter:
org.kde.choqok.lib: Successfully loaded plugin ' "choqok_twitter" '
org.kde.choqok.lib: Finding: "Twitter"
org.kde.choqok.lib:
org.kde.choqok.lib:
org.kde.choqok.lib: Wallet successfully opened.
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.lib:
org.kde.choqok.twitterapi:
org.kde.choqok.lib:
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.lib:
org.kde.choqok.lib: Read password from wallet
org.kde.choqok.twitterapi: UsingOAuth: true
org.kde.choqok.twitterapi:
Segmentation fault (core dumped)

syslog:
Apr 3 20:59:09 host kernel: [157712.663466] show_signal_msg: 66 callbacks suppressed
Apr 3 20:59:09 host kernel: [157712.663469] choqok[27206]: segfault at 4 ip 00007efe103deb37 sp 00007fff206de370 error 4 in libqca.so.2.1.1[7efe1038b000+f0000]
Apr 3 20:59:45 host whoopsie[1237]: [20:59:45] Not online; processing later (/var/crash/_usr_bin_choqok.1000.crash).
Apr 3 20:59:45 host kernel: [157748.986394] choqok[28306]: segfault at 4 ip 00007f8bae2aeb37 sp 00007ffd3613af50 error 4 in libqca.so.2.1.1[7f8bae25b000+f0000]
Apr 3 21:00:00 host kernel: [157764.254790] choqok[28324]: segfault at 4 ip 00007f0e99ad6b37 sp 00007ffc0a844b30 error 4 in libqca.so.2.1.1[7f0e99a83000+f0000]

Kubuntu 17.04

$ sudo apt show choqok
Package: choqok
Version: 1.6-1ubuntu1
Priority: optional
Section: universe/kde
Origin: Ubuntu
Maintainer: Kubuntu Developers <email address hidden>
Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 7,637 kB
Depends: libqca2-plugin-ossl, kio, libc6 (>= 2.14), libkf5attica5 (>= 4.98.0), libkf5configcore5 (>= 4.98.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 4.96.0), libkf5coreaddons5 (>= 5.2.0), libkf5emoticons-bin, libkf5emoticons5 (>= 4.96.0), libkf5globalaccel5 (>= 5.0.0), libkf5guiaddons5 (>= 4.96.0), libkf5i18n5 (>= 4.97.0), libkf5jobwidgets5 (>= 4.96.0), libkf5kcmutils5 (>= 4.96.0), libkf5kiocore5 (>= 4.96.0), libkf5kiofilewidgets5 (>= 4.96.0), libkf5kiowidgets5 (>= 4.96.0), libkf5notifications5 (>= 4.96.0), libkf5notifyconfig5 (>= 4.96.0), libkf5parts5 (>= 4.96.0), libkf5service-bin, libkf5service5 (>= 4.99.0), libkf5sonnetcore5 (>= 4.96.0), libkf5textwidgets5 (>= 4.96.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5webkit5 (>= 4.96.0), libkf5widgetsaddons5 (>= 4.96.0), libkf5xmlgui5 (>= 4.98.0), libqca-qt5-2 (>= 2.0.2), libqoauth1, libqt5core5a (>= 5.6.1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.2.0) | libqt5gui5-gles (>= 5.2.0), libqt5webkit5 (>= 5.6.0~rc), libqt5widgets5 (>= 5.2.0), libqt5xml5 (>= 5.0.2), libstdc++6 (>= 4.1.1), libtelepathy-qt5-0 (>= 0.0.9.5)
Homepage: http://choqok.gnufolks.org
Download-Size: 1,727 kB
APT-Manual-Installed: yes
APT-Sources: http://mirrors.us.kernel....

Read more...

Rik Mills (rikmills) wrote :

On 07/04/17 03:37, clickwir wrote:
> Yup, it's broke.

As stated, should be fixed in version 1.6-1.isreally.1.5-4ubuntu1 which
is available in the repositories

http://packages.ubuntu.com/zesty/choqok

please update.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers